Package org.springframework.web.server

# Class UnsatisfiedRequestParameterException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.web.ErrorResponseException
org.springframework.web.server.ResponseStatusException
org.springframework.web.server.ServerWebInputException
org.springframework.web.server.UnsatisfiedRequestParameterException

All Implemented Interfaces:
  `Serializable`, `ErrorResponse`

public class UnsatisfiedRequestParameterException extends ServerWebInputException
`ServerWebInputException` subclass that indicates an unsatisfied parameter condition, as typically expressed using an `@RequestMapping` annotation at the `@Controller` type level.

Since:
  6.0
Author:
  Rossen Stoyanchev
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.springframework.web.ErrorResponse

`ErrorResponse.Builder, ErrorResponse.Interceptor`

## Constructor Summary

Constructors
Constructor
Description
`UnsatisfiedRequestParameterException(List<String> conditions, org.springframework.util.MultiValueMap<String,String> params)`

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getConditions()`
Return String representations of the unsatisfied condition(s).
`org.springframework.util.MultiValueMap<String,String>`
`getRequestParams()`
Return the actual request parameters.

### Methods inherited from class org.springframework.web.server.ServerWebInputException

`getMethodParameter`

### Methods inherited from class org.springframework.web.server.ResponseStatusException

`getHeaders, getMessage, getReason, getResponseHeaders, updateAndGetBody`

### Methods inherited from class org.springframework.web.ErrorResponseException

`getBody, getDetailMessageArguments, getDetailMessageCode, getStatusCode, setDetail, setInstance, setTitle, setType`

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.web.ErrorResponse

`getDetailMessageArguments, getTitleMessageCode, getTypeMessageCode`

## Constructor Details

### UnsatisfiedRequestParameterException

public UnsatisfiedRequestParameterException(List<String> conditions, org.springframework.util.MultiValueMap<String,String> params)

## Method Details

### getConditions

public List<String> getConditions()
Return String representations of the unsatisfied condition(s).

### getRequestParams

public org.springframework.util.MultiValueMap<String,String> getRequestParams()
Return the actual request parameters.